"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CharactersController = void 0;
const openapi = require("@nestjs/swagger");
const common_1 = require("@nestjs/common");
const swagger_1 = require("@nestjs/swagger");
const character_schema_1 = require("../schemas/character.schema");
const character_service_1 = require("../services/character.service");
let CharactersController = class CharactersController {
    constructor(charactersService) {
        this.charactersService = charactersService;
    }
    async findAll() {
        return this.charactersService.findAll();
    }
    async findById(id) {
        return this.charactersService.findById(id);
    }
    async create(character) {
        return this.charactersService.create(character);
    }
    async update(id, character) {
        return this.charactersService.update(id, character);
    }
    async delete(id) {
        return this.charactersService.delete(id);
    }
};
__decorate([
    (0, common_1.Get)('getall'),
    openapi.ApiResponse({ status: 200, type: [require("../schemas/character.schema").Character] }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], CharactersController.prototype, "findAll", null);
__decorate([
    (0, common_1.Get)('getbyid/:id'),
    openapi.ApiResponse({ status: 200, type: require("../schemas/character.schema").Character }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], CharactersController.prototype, "findById", null);
__decorate([
    (0, common_1.Post)('create'),
    openapi.ApiResponse({ status: 201, type: require("../schemas/character.schema").Character }),
    __param(0, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [character_schema_1.Character]),
    __metadata("design:returntype", Promise)
], CharactersController.prototype, "create", null);
__decorate([
    (0, common_1.Put)('update/:id'),
    openapi.ApiResponse({ status: 200, type: require("../schemas/character.schema").Character }),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, character_schema_1.Character]),
    __metadata("design:returntype", Promise)
], CharactersController.prototype, "update", null);
__decorate([
    (0, common_1.Delete)('delete/:id'),
    openapi.ApiResponse({ status: 200, type: require("../schemas/character.schema").Character }),
    __param(0, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], CharactersController.prototype, "delete", null);
CharactersController = __decorate([
    (0, swagger_1.ApiTags)('Characters'),
    (0, common_1.Controller)('characters'),
    __metadata("design:paramtypes", [character_service_1.CharacterService])
], CharactersController);
exports.CharactersController = CharactersController;
//# sourceMappingURL=character.controller.js.map